@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;500;700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}
html{
    scroll-behavior: smooth;
}
.max-width{
    max-width: 1300px;
    padding: 0 80px;
    margin: auto;
}
/*navbar styling */
.navbar{
    position: fixed;
    width: 100%;
    z-index: 999;
    padding: 15px 0;
    /* background: rgb(199, 86, 209); */
    font-family: "Courier",monospace;
    transition: all 0.3s ease;
  
}
.navbar.sticky{
    padding: 15px 0;
    background: rgb(199, 86, 209);
}
.navbar .max-width{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.navbar .logo a{
    color: #fff;
    font-size: 35px;
    font-weight: 700;
    font-family: FreeMono, monospace;
     
}
.navbar .logo a span{
    color:rgb(49, 20, 43);
    transition: all 0.3s ease;
}
.navbar .sticky .logo a span{
    color:#fff;
}
.navbar .menu li {
    list-style: none;
    display: inline-block;
} 
.navbar .menu li a{
    display: block;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    margin-left: 25px;
    transition:color 0.2s ease;

}
.navbar .menu li a:hover{
    color:darkmagenta;
}
.navbar.sticky .menu li a:hover{
    color:#fff;
}
/* menu-btn styling */
.navbar .menu-btn{
    color:#fff;
    font-size: 23px;
    cursor: pointer;
} 
.scroll-up-btn{
    position: fixed;
    height: 45px;
    width: 42px;
    background: rgb(199, 86, 209);
    right: 30px;
    bottom: 10px;
    text-align: center;
    line-height: 45px;
    color: #fff;
    z-index: 999;
    font-size: 30px;
    border-radius: 6px;
    cursor: pointer;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3 ease;
}
.scroll-up-btn.show{
    opacity: 1;
    pointer-events: auto;
}

/*home section */
    .home{
        display: flex;
        background: url(../images/web2.jpg) fixed center no-repeat;
        height: 100vh;
        background-size: cover;
        background-position: center 0%;
        font-family: 'Didot', sans-serif;
        color: rgb(209, 128, 23);
        
    }
    .home .max-width{
        margin-bottom: 30px;
        margin: auto 0 auto 40px;
    }
    .home .home-content .text-1{
        font-size: 27px;
    }
    .home .home-content .text-2{
        font-size: 75px;
        font-weight: 700;
        margin-left: -3px;
    }
    .home .home-content .text-3{
        font-size: 31px;
        margin: 5px 0;
    }
    .home .home-content .text-3 span{
        color: rgb(49, 20, 43);
        font-weight: 550;
    }
    .home .home-content a{
        display: inline-block;
        background: rgb(49, 20, 43) ;
        color: #fff;
        font-size: 25px;
        padding: 12px 36px;
        margin-top: 20px;
        border-radius: 6px;
        border: 2px solid rgb(49, 20, 43);
        transition:all 0.3 ease;
    }
    .home .home-content a:hover{
        color:#fff;
        background: none;
    }


    /* all similar styling content */
    section{
        padding: 100px 0;
    }
    .about .about-content, .services .serv-content, .skills .skills-content, .contact .contact-content{
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
    }
    section .title{
        position: relative;
        font-family: 'Ubuntu', sans-serif;
        text-align: center;
        font-size: 40px;
        font-weight: 500;
        margin-bottom: 60px;
        padding-bottom: 20px;
    }
    section .title::before{
        content:"";
        bottom: 0%;
        left: 50%;
        position: absolute;
        width: 180px;
        height: 3px;
        background: #111;
        transform: translateX(-50%);
    }
    section .title::after{
        bottom: -20%;
        left: 50%;
        position: absolute;
        font-size: 20px;
        color: rgb(199, 86, 209);
        padding: 5px;
        background: #fff;
        transform: translateX(-50%);
    }



    /* about section start */
    .about, .services, .skills, .teams, .contact, footer{
        font-family: 'Poppins', sans-serif;
    }
    .about .title::after{
        content:"who am I";
    }
    .about .about-content .left{
        width:45%;

    }
    .about .about-content .left img{
        height: 400px;
        width: 400px;
        object-fit: cover;
        border-radius: 6px;
    }
    .about .about-content .right{
        width: 55%;
    }
    .about .about-content .right .text{
        font-size: 25px;
        font-weight: 600;
        margin-bottom: 10px;
    }
    .about .about-content .right .text span{
        color:rgb(199, 86, 209);
    }
    .about .about-content .right p{
        text-align: justify;
    }
    .about .about-content .right a{
        display: inline-block;
        background: rgb(49, 20, 43) ;
        color: #fff;
        font-weight: 500;
        font-size: 20px;
        padding: 10px 30px;
        margin-top: 20px;
        border-radius: 6px;
        border: 2px solid rgb(49, 20, 43);
        transition:all 0.3 ease;
    }
    .about .about-content .right a:hover{
        color:rgb(199, 86, 209);
        background: none;
    }



    /* services/extra-curriculars section start */
    .services, .teams{
        color:#fff;
        background: #111;
    }
    .services .title::before, .teams .title::before{
    color:#fff;
    background: #fff;
    }
    .services .title::after, .teams .title::after{
        background: #111;
        content:"Activities";
    }
    .services .serv-content .card{
        margin: auto;
    }
    .services .serv-content .card .box{
        transition: all 0.3 ease;
    }
    .services .serv-content .card:hover .box{
        transform: scale(1.05);
    }
    .services .serv-content .card:hover{
        background: rgb(199, 86, 209);
    }
    .services .serv-content .card{
        width: calc(33% - 20px);
        margin-bottom: 25px;
        background: #222;
        text-align: center;
        border-radius: 6px;
        padding: 20px 25px;
        cursor: pointer;
        transition: all 0.3 ease;
    }
    .services .serv-content .card a{
        color:#fff;
    }
    .services .serv-content .card i{
        font-size: 50px;
        color: rgb(199, 86, 209);
        transition: color 0.1s ease;
    }
    .services .serv-content .card:hover i{
        color:#fff;
    }
    .services .serv-content .card .text{
        font-size: 25px;
        font-weight: 500;
        margin: 10px 0 7px;
    }

     /* skills styling start */
     .skills .title::after{
         content: "Stuff I know";
     }
     .skills .skills-content .column{
         width:calc(50% - 30px)
     }
     .skills .skills-content .left .text{
         font-size: 20px;
         font-weight: 600;
         margin-bottom: 6px;
     }
     .skills .skills-content .left p{
         text-align: justify;
     }
     .skills .skills-content .left a{
        display: inline-block;
        background: rgb(49, 20, 43) ;
        color: #fff;
        font-weight: 500;
        font-size: 18px;
        padding: 8px 16px;
        margin-top: 20px;
        border-radius: 6px;
        border: 2px solid rgb(49, 20, 43);
        transition:all 0.3 ease;
     }
     .skills .skills-content .left a:hover{
         color: rgb(49, 20, 43);
         background: none;
     }
     .skills .skills-content .right .bars{
         margin-bottom: 15px;
     }
     .skills .skills-content .right .info{
         display: flex;
         align-items: center;
         margin-bottom: 5px;
         justify-content: space-between;
     }
     .skills .skills-content .right span{
         font-weight: 500;
         font-size: 18px;
     }
     .skills .skills-content .right .line{
         height: 5px;
         width: 100%;
         background: lightgrey;
         position: relative;
     }
     .skills .skills-content .right .line::before{
         content: "";
         position: absolute;
         height: 100%;
         left: 0;
         top:0;
         background: rgb(199, 86, 209);
     }
     .skills .skills-content .right .html::before{
        width: 40%;
     }
     .skills .skills-content .right .cybersecurity::before{
        width: 70%;
     }
     .skills .skills-content .right .Python::before{
        width: 10%;
     }
     .skills .skills-content .right .mysql::before{
        width: 30%;
     }
     .skills .skills-content .right .Photoshop::before{
        width: 60%;
     }

    /* teams section start */
    .teams .title::after{
        content:"awards";
    }
    .teams .carousel a{
        color:#fff;
    }
    .teams .carousel .card{
        background: #222;
        padding: 25px 35px;
        text-align: center;
        transition: all 0.3 ease;
    }
    .teams .carousel .card:hover{
        background: rgb(199, 86, 209);
    }
    .teams .carousel .card:hover .box{
        transform: scale(1.05);
    }
    .teams .carousel .card .text{
        font-size: 25px;
        font-weight: 500;
        margin: 10px 0 7px 0;
        color: rgb(255, 254, 254);
    }
    .teams .carousel .card .box{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        transition: all 0.3 ease;
    }
    .teams .carousel .card img{
        height: 200px;
        width: 300px;
        object-fit: cover;
        border: 5px solid rgb(199, 86, 209);
        transition: all 0.3 ease;
    }
    .teams .carousel .card:hover img{
        border-color: #fff;
    }
    .owl-dots{
        text-align: center;
        margin-top: 20px;
    }
    .owl-dot{
        height:13px;
        width: 13px;
        outline: none!important;
        margin: 0 5px;
        border-radius: 50%;
        border: 2px solid rgb(199, 86, 209)!important;
        transition: all 0.3 ease;
    }
    .owl-dot.active{
        width: 35px;
        border-radius: 14px;
    }
    .owl-dot.active, .owl-dot:hover{
        background: rgb(199, 86, 209)!important;
    }


    /* contact section styling start */
    .contact .title::after{
        content:"get in touch";
    }
    .contact .contact-content .column{
        width: calc(50% - 30px);
    }
    .contact .contact-content .text{
        font-size: 25px;
        font-weight: 600;
        margin-bottom: 10px;
    }
    .contact .contact-content .left p{
        text-align: justify;
    }
    .contact .contact-content .left .icons{
        margin: 10px 0;
    }
    .contact .contact-content .row{
        display: flex;
        height: 65px;
        align-items: center;
    }
    .contact .contact-content .row .info{
        margin-left: 30px;
    }
    .contact .contact-content .row .info .head{
        font-family: Georgia, 'Times New Roman', Times, serif;
    }
    .contact .contact-content .row .info .sub-title{
        font-family: serif;
    }
    .contact .contact-content .row i{
        font-size: 25px;
        color: rgb(199, 86, 209);
    }
    .contact .contact-content .info .head{
        font-weight: 500;
    }
    .contact .contact-content .info .sub-title{
        color:#333;
    }
    .contact .right form .fields{
         display: flex;
    }
    .contact .right form .field, 
    .contact .right form .fields .field{
        height: 45px;
        width: 100%;
        margin-bottom: 15px;
    }
    .contact .right form .name{
        margin-right: 10px;
    }
    .contact .right form .email{
        margin-left: 10px;
    }
    .contact .right form .textarea{
        height: 80px;
        width: 100%;
    }
    .contact .right form .field input, .contact .right form .textarea textarea{
        height: 100%;
        width: 100%;
        border: 1px solid lightgrey;
        border-radius: 6px;
        outline: none;
        padding: 0 15px;
        font-size: 17px;
        font-family: 'Poppins', sans-serif;
    }
    .contact .right form .textarea textarea{
        padding-top: 10px;
        resize: none;
    }
    .contact .right form .button{
        height: 47px;
        width: 170px;
    }
    .contact .right form .button button{
        width: 100%;
        height: 100%;
        border: 2px solid rgb(199, 86, 209);
        background: rgb(199, 86, 209);
        color: #fff;
        font-size: 20px;
        font-weight: 500;
        border-radius: 6px;
        cursor: pointer;
        transition: all 0.3 ease;
    }
    .contact .right form .button button:hover{
        color: rgb(199, 86, 209);
        background: none;
    }


    /* footer section start */
    footer{
        background: #111;
        padding: 20px 23px;
        color:#fff;
        text-align: center;
        font-size: 17px;
    }
    footer span a{
        color:rgb(199, 86, 209);
        text-decoration:none;
    }
    footer span a:hover{
        text-decoration: 2px underline;
    }












    /* responsive media query start */
    @media(max-width: 1300px){
        .home.max-width{
margin-left: 0px;
    }}
    @media(max-width: 1104px){
        .about .about-content .left img{
            height: 350px;
            width: 350px;
           
        }}
    @media(max-width: 991px){
        .home.max-width{
padding: 0 50px;
    }}
    @media(max-width: 1170px){
        .max-width{
            padding: 0 50px;
        }
        .navbar .menu-btn{ 
            display:block;
            z-index: 999;
        }
        .menu-btn i.active:before{
            content: "\f00d";
        }
        
        .navbar .menu{
            position:fixed;
            height: 100vh;
            width: 100%;
            left: -100%;
            top: 0;
            background: #111;
            text-align: center;
            padding-top: 80px;
            transition: all 0.3s ease;
        }
        .navbar .menu.active{
            left: 0%;
        }
        .navbar .menu li{
            display: block;
        }
        .navbar .menu li a{
            display:inline-block;
            margin: 20px 0;
            font-size: 25px;

        }
        /* .home{
            background: url("/images/web3.jpg") no-repeat;
            background-size: 100% 100%;
            margin: auto;
        } */
        .home .home-content .text-2{
            font-size: 70px;
            
        }
        .home .home-content .text-3{
            font-size: 35px;
            
        }
        .home .home-content a{
            font-size: 20px;
            padding: 9px 25px;
        }
        .max-width{
            max-width: 800px;
        }
        .about .about-content .column{
            width: 100%;
        }
        .about .about-content .left{
            display: flex;
            justify-content: center;
            margin: 0 auto 60px;
        }
        .about .about-content .right{
            flex: 100%;
        }
        .services .serv-content .card{
            width: calc(50% - 10px);
            margin-bottom: 20px;
        }
        .skills .skills-content .column, .contact .contact-content .column{
            width: 100%;
            margin-bottom: 35px;
        }
    }

    @media(max-width: 800px){
        .home{
            background: url("/images/web5.jpg") no-repeat ;
            background-size: 700% 100%;
            margin: auto;
        } 
        .max-width{
            padding: 0 15px;
        }
        .about .about-content .right .text {
            font-size: 19px;
        }
        .home .home-content .text-2{
            font-size: 70px;
            
        }
        .home .home-content .text-3{
            font-size: 24px;
            
        }
        .services .serv-content .card, .skills .skills-content .column{
            width: 100%;
        }
    }